window.addEventListener( 'load', function( event )
{//Inicia windows.load

 
  var botonDetalle=document.querySelector('#botonDetalle');
  document.getElementById("Contado2").addEventListener("input", calcularCambio);
  document.getElementById("Recibi").addEventListener("input", calcularCambio);
  document.getElementById("Contado2").addEventListener("input", CalculaPago2);

  botonDetalle.addEventListener('click', function(e)
  {
    if($(".detalle").hasClass("invisible"))
    {
      $(".detalle").removeClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Ocultar';
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-close');
      // $(".parent-container").addClass('increase-height');
      reajustar();
    }else{
      $(".detalle").addClass('invisible');
      document.getElementById('nombreBoton').innerHTML=' Detalle';
      document.getElementById('nombreBoton').classList.add('glyphicon-eye-open');
      document.getElementById('nombreBoton').classList.remove('glyphicon-eye-close');
      // $(".parent-container").removeClass('increase-height');
      reajustar();
    }
  });

  $("#CTarjeta2").on("input", function(){
      if ($("#CTarjeta2").val()!="") {
        $("#FolioTarjeta2").prop('disabled', false);
        document.getElementById("FolioTarjeta2").value="";
      }
      if (document.getElementById("Adeudo").innerHTML=="0" && $("#Contado2").val()=="") {
        $("#Contado2").prop("readonly", true);
        $("#Recibi").prop("readonly", true);
      }else{
        $("#Contado2").prop("readonly", false);
        $("#Recibi").prop("readonly", false);
      }
   });
   $("#Contado2").on("input", function(){
      if (document.getElementById("Adeudo").innerHTML=="0" ) {
      if (($("#CTarjeta2").val()=="0") || ($("#CTarjeta2").val()=="" )){
        $("#TipoTarjeta2").prop("disabled", true);
        $("#CTarjeta2").prop("readonly", true);
        $("#FolioTarjeta2").prop("readonly", true);
        document.getElementById('TipoTarjeta2').value="";
      }
    }else{ 
        if (($("#CTarjeta2").val()!="0") || ($("#CTarjeta2").val()!="" )){
        $("#TipoTarjeta2").prop("disabled", false);
        // document.getElementById('TipoTarjeta2').value="";
        $("#CTarjeta2").prop("readonly", false);
        $("#FolioTarjeta2").prop("readonly", false);
        }
      }
 });
 $("#TipoTarjeta2").on("change", function(){      
    document.getElementById('CTarjeta2').value="";
    document.getElementById('FolioTarjeta2').value="";  
    CalculaPago2();
  });
  $("#guarda").on("click", function(){
            document.getElementById('AbonoFinal').value=document.getElementById('Abono').innerHTML;
            document.getElementById('AdeudoFinal').value=document.getElementById('Adeudo').innerHTML;
            if ($('#CTarjeta2').val()=="" && $('#FolioTarjeta2').val()=="" && $('#TipoTarjeta2').val()!="") {
              $('#CTarjeta2').notify("Ingrese una cantidad",{
                  position:'bottom center',
                  className:'error'
                });
                document.getElementById("CTarjeta2").focus();
                  return false;
               }

           //***************
            if ($('#CTarjeta2').val()=="" && $('#FolioTarjeta2').val()!="") {
                $('#CTarjeta2').notify("Ingrese una cantidad",{
                  position:'bottom center',
                  className:'error'
                });
                document.getElementById("CTarjeta2").focus();
                  return false;
               }
            //***************
            if ($('#Usuario2').val()=="") {
                $('#Usuario2').notify("Seleccione un usuario",{
                  position:'bottom center',
                  className:'error'
                });
                document.getElementById("Usuario2").focus();
                  return false;
               }

            //***************
            var c = document.getElementById("Adeudo").innerHTML;

            if(c!=0){
              $('#pagar').notify("Debe liquidar el producto",{
                  position:'bottom left',
                  className:'error'
                });
               return false;
              }
  });
});//Fin load
function reajustar(){
  var datosGenerales = $("#DatosGenerales").height();
  $(".parent-container").css('height', datosGenerales);
  setTimeout("reajustar()",100) 
}
function calcularCambio() 
{
  var contado=document.getElementById('Contado2').value;
  var recibi=document.getElementById('Recibi').value;
  var suma;
  if(contado=="")
  {
    contado=0;
  }
  if(recibi=="")
  {
    recibi=0;
  }
  suma=parseFloat(recibi)-parseFloat(contado);
  if(suma>=0)
  {
    document.getElementById('Cambio').value=suma;
  }else{
    document.getElementById('Cambio').value='';
  }
}

function validar2(form) {
form.CTarjeta2.disabled=(form.TipoTarjeta2.value=='');
//form.FolioTarjeta2.disabled=(form.TipoTarjeta2.value=='');
}
//***validaciones***



  //*************fin validaciones***********
function CalculaPago2()
{
 with (document.forms["Pagos"]) // el nombre del formulario
 {
  var totalResult2 = ((Number( adeudoGeneral ) - Number( Contado2.value )- Number( CTarjeta2.value )));

  Adeudo.innerHTML = roundTo( totalResult2, 2 );
  var adeudoventa = ((Number( AdeudoV.value ) - Number( Contado2.value )- Number( CTarjeta2.value )));
  AdeudoVenta.value = roundTo( adeudoventa, 2 );

  var abonov = ((Number(abonoGeneral ) + Number( Contado2.value )+ Number( CTarjeta2.value )));
  Abono.innerHTML = roundTo( abonov, 2 );

  var abonoventa = ((Number( AbonoV.value ) + Number( Contado2.value )+ Number( CTarjeta2.value )));
  AbonoVenta.value = roundTo( abonoventa, 2 );

      if (Adeudo.innerHTML<0) {
        // alert("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad");
        // $('pagar').notify({})
          $('#pagar').notify("Está ingresando una cantidad mayor al adeudo.\n Ingrese nuevamente la cantidad",{
                  position:'bottom left',
                  className:'error'
                });  
        Contado2.value="";
        Recibi.value="";
        Cambio.value="";
        CTarjeta2.value="";
        FolioTarjeta2.value="";
        Adeudo.innerHTML =adeudoGeneral;
        AdeudoVenta.value =AdeudoV.value;
        Abono.innerHTML =abonoGeneral;
        AbonoVenta.value =AbonoV.value;


      }


 }
}

function roundTo(num,pow){
  if( isNaN( num ) ){
    num = 0;
  }
  
  return num;
}

function mueveReloj(){ 
  var momentoActual = new Date() 
  var hora = momentoActual.getHours() 
  var minuto = momentoActual.getMinutes() 
  var segundo = momentoActual.getSeconds() 
  var str_segundo = new String (segundo) 
  if (str_segundo.length == 1) 
      segundo = "0" + segundo 

  var str_minuto = new String (minuto) 
  if (str_minuto.length == 1) 
      minuto = "0" + minuto 

  var str_hora = new String (hora) 
  if (str_hora.length == 1) 
      hora = "0" + hora 
    
  var horaImprimible = hora + ":" + minuto + ":" + segundo 
  var date = new Date();
  var year = date.getFullYear();
  var month = date.getMonth()+1;
  var dt = date.getDate();

  if (dt < 10) {
    dt = '0' + dt;
  }
  if (month < 10) {
    month = '0' + month;
  }
  var FechaCompleta = dt+'-' + month + '-'+year;
  var nuevaF = year+'-' + month + '-'+dt;
  document.getElementById('fecha2').value=nuevaF +" "+ horaImprimible;  
  setTimeout("mueveReloj()",1000) 

}
